[arch-commits] Commit in wxgtk/repos (3 files)

Eric Belanger eric at archlinux.org
Sun Jul 6 19:57:10 EDT 2008


    Date: Sunday, July 6, 2008 @ 19:57:10
  Author: eric
Revision: 4440

Merged revisions 2-4439 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/wxgtk/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r4428 | eric | 2008-07-06 18:22:07 -0400 (Sun, 06 Jul 2008) | 2 lines
  
  upgpkg: wxgtk 2.8.8-1
      Upstream update, Enabled gnomeprint - needed for wxpython to build, Added ChangeLog
........

Added:
  wxgtk/repos/extra-i686/ChangeLog
    (from rev 4428, wxgtk/trunk/ChangeLog)
Modified:
  wxgtk/repos/extra-i686/	(properties)
  wxgtk/repos/extra-i686/PKGBUILD

-----------+
 ChangeLog |    6 ++++++
 PKGBUILD  |   18 ++++++++++--------
 2 files changed, 16 insertions(+), 8 deletions(-)


Property changes on: wxgtk/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /wxgtk/trunk:1
   + /wxgtk/trunk:1-4439

Copied: wxgtk/repos/extra-i686/ChangeLog (from rev 4428, wxgtk/trunk/ChangeLog)
===================================================================
--- extra-i686/ChangeLog	                        (rev 0)
+++ extra-i686/ChangeLog	2008-07-06 23:57:10 UTC (rev 4440)
@@ -0,0 +1,6 @@
+2008-07-05  Eric Belanger  <eric at archlinux.org>
+
+	* wxgtk 2.8.8-1
+	* Upstream update
+	* Enabled gnomeprint - needed for wxpython to build
+	* Added ChangeLog

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-07-06 23:54:28 UTC (rev 4439)
+++ extra-i686/PKGBUILD	2008-07-06 23:57:10 UTC (rev 4440)
@@ -5,25 +5,27 @@
 # with help from J. Santiago Hirschfeld <jsantiagoh at yahoo.com.ar> aka Angelus
 
 pkgname=wxgtk
-pkgver=2.8.7
+pkgver=2.8.8
 pkgrel=1
 pkgdesc="wxGTK - GTK+ implementation of wxWidgets API for GUI"
 arch=('i686' 'x86_64')
 url="http://wxwidgets.org"
 license=('custom:wxWindows')
 depends=('gtk2>=2.10.9' 'mesa')
+makedepends=('libgnomeprintui')
 source=(http://downloads.sourceforge.net/wxwindows/wxGTK-${pkgver}.tar.bz2)
-md5sums=('b25e85eeee524903214ebb520753f4bd')
+md5sums=('6c73103878bd2a44b42a7b5fbb4c5605')
+sha1sums=('ba33ca7efad2847c538d3df524d31b8b4011ad8a')
 
 build() {
-  cd ${startdir}/src/wxGTK-${pkgver}
+  cd ${srcdir}/wxGTK-${pkgver}
   ./configure --prefix=/usr --libdir=/usr/lib --with-gtk=2 --with-opengl --enable-unicode \
-	  --enable-graphics_ctx --without-gnomeprint --disable-optimize || return 1
+	  --enable-graphics_ctx --with-gnomeprint --disable-optimize || return 1
   make || return 1
-  make -C locale allmo
-  make DESTDIR=${startdir}/pkg install || return 1
+  make -C locale allmo || return 1
+  make DESTDIR=${pkgdir} install || return 1
   cd contrib/src
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
-  install -D -m644 ../../docs/licence.txt $startdir/pkg/usr/share/licenses/$pkgname/LICENSE
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 ../../docs/licence.txt ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE || return 1
 }





More information about the arch-commits mailing list